import type WebTable from "../table/webTable";
export interface IEditableMethodsProps {
    onEditRow?(rowItem: any): void;
    onResetRow?(rowItem: any): void;
    onSaveRow?(rowItem: any): void;
}
export interface IEditableMethods {
    init(this: WebTable): void;
    validateRow(this: WebTable, rowData: any): any;
    editRow(this: WebTable, rowData: any): any;
    saveRow(this: WebTable, rowData: any): any;
    resetRow(this: WebTable, rowData: any): any;
}
declare const methods: IEditableMethods;
export default methods;
